## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class CloudscapeFunctionNamesAndSignatures

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.CloudscapeFunctionNamesAndSignatures

    public class CloudscapeFunctionNamesAndSignatures

extends java.lang.Object

Field Summary
`static java.lang.String` `cloudscapeAggregate`
`static java.lang.String` `cloudscapeAll`
`static java.lang.String` `cloudscapeNotSupported`
`static java.lang.String` `copyright`
`static java.lang.String` `dbUDF`

Constructor Summary
`CloudscapeFunctionNamesAndSignatures()`

Method Summary
`static void` `fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo, boolean isColumn)`
`static java.lang.String[]` `getFunctionList(java.lang.String category, boolean isColumn, SQLDomainModel domainModel)`
`static java.lang.Object[][]` `getParameterFormats(java.lang.String functionName)`
`static java.lang.Object[][]` `getParms(java.lang.String func)`
`static boolean` `isFunctionSupportingStar(java.lang.String s)`
`static boolean` `isNotSupported(java.lang.String functionName)`
`static boolean` `requiresNoBrackets(java.lang.String functionName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

See Also:
  Constant Field Values

### cloudscapeAll

    public static final java.lang.String cloudscapeAll

### cloudscapeAggregate

    public static final java.lang.String cloudscapeAggregate

### cloudscapeNotSupported

    public static final java.lang.String cloudscapeNotSupported

### dbUDF

    public static java.lang.String dbUDF

Constructor Detail

### CloudscapeFunctionNamesAndSignatures

    public CloudscapeFunctionNamesAndSignatures()

Method Detail

### getParms

    public static java.lang.Object[][] getParms(java.lang.String func)

### getParameterFormats

    public static java.lang.Object[][] getParameterFormats(java.lang.String functionName)

### fillCategoryCombo

    public static void fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo,
                                         boolean isColumn)

### isFunctionSupportingStar

    public static boolean isFunctionSupportingStar(java.lang.String s)

### requiresNoBrackets

    public static boolean requiresNoBrackets(java.lang.String functionName)

### isNotSupported

    public static boolean isNotSupported(java.lang.String functionName)

### getFunctionList

    public static java.lang.String[] getFunctionList(java.lang.String category,
                                                     boolean isColumn,
                                                     SQLDomainModel domainModel)